Page MenuHome

Cloth simulation bug
Closed, InvalidPublic

Description

System Information
Windows 32 bits, processor: i5-4690,3.5GHz.

Blender Version
Broken:Version 2.77 RC2, 1e1118e

Short description of error
When I bake a cloth simulation in blender, the first Baking works but if I rebake the simulation, Blender crash.

Exact steps for others to reproduce the error
Steps when I see the error:

  1. Click on "Bake button " in "cloth simulation panel"

2.Lauch th esimulation for see how it's work
3.For change settings of my simulation, I click on button "Free Bake"
4.I click on "Bake", and just after click, Blender crash.
Blend file for reproduce the error: {

Event Timeline

Lauris pognant (lp0526) claimed this task.
Lauris pognant (lp0526) raised the priority of this task from to 90.
Lauris pognant (lp0526) updated the task description. (Show Details)
Lauris pognant (lp0526) edited a custom field.

Under ubuntu 14.04 64 bits, I can confirm crash with blend file.

It looks like if scale of Cloth is applied before first baking, crash disappears.

I have no crash if after freeing cache, I change a setting before re-launching a bake.
I have no crash If I don't change anything and use "Current Cache to Bake" button.

Cannot reproduce that crash here, not even with debug build + asan... :/

I can reproduce this here.

Error: EXCEPTION_ACCESS_VIOLATION

windows 10 pro 64bits
blender version: 2.77 (sub 0), hash: 7db79ae

When disk cache check box is checked, this does not occur.

Sergey Sharybin (sergey) lowered the priority of this task from 90 to 30.Mar 22 2016, 3:58 PM

@ronan ducluzeau (zeauro), @perfection cat (sindra1961), what are the exact steps reproducing the issue? (i can't reproduce the issue as well)

@Sergey Sharybin (sergey):
1.Open the attached file.
2.Push the Bake button.
3.If Bake is completed, move timeline at the suitable position.
4.Push the Free Bake button.
5.Push the Bake button.

Windows10 pro 64bits
16MB RAM
Blender version: 2.77 (sub 0), hash: 0f63ce6

The issue reported can't be reproduced so far, and has been moved to the BF Blender: Unconfirmed project.
If 2 other people aren't able to redo the bug after 2 weeks, it will be closed.

We appreciate the effort that goes into making bug reports, but to be able to fix bugs we have to be able to redo them.
If there is anything you can provide to help others to reproduce the problem, be sure to include it.

Bastien Montagne (mont29) raised the priority of this task from 30 to Normal.Apr 1 2016, 3:37 PM

I can still reproduce this here.

Windows10 pro 64bits
16MB RAM
Blender version: 2.77 (sub 0), commit date: 2016-04-01 08:33, hash: f185eff

Bastien Montagne (mont29) changed the task status from Unknown Status to Unknown Status.Jun 2 2016, 12:14 PM
Bastien Montagne (mont29) claimed this task.

Tried again this morning (debug build with asan, release build, etc.), still no crash.

I’m sorry, but we cannot investigate an issue we cannot reproduce, so will archive this report until someone can give enough elements to consistently reproduce it (if you have acces to different computers, you may also try to reproduce it on several ones, and try to find some common points between all crashing ones, etc.). Thanks for the report anyway.